repos:
- repo: local
  hooks:
  - id: overseer-client-yarn-lint
    name: overseer-client-yarn-lint
    entry: bash -c 'cd src/overseer_client && exec yarn lint --max-warnings 0'
    language: system
    types: [javascript]
    files: '^src/overseer_client/src/'
- repo: https://github.com/psf/black
  rev: 20.8b1
  hooks:
  - id: black
    name: overseer-server-black
    language_version: python3.9
    files: '^src/overseer/|^setup.py|^tests/overseer/'
- repo: https://gitlab.com/pycqa/flake8
  rev: 3.9.0
  hooks:
  - id: flake8
    name: overseer-server-flake8
    files: '^src/overseer/|^setup.py|^tests/overseer/'
